Subject: Re: [RFC] Support UTF-8 characters in Git alias names

From: Junio C Hamano <[email-masked]>
Date: Mon, 09 Feb 2026 09:59:31 -0800

Jonatan Holmgren <[email-masked]> writes:

> Thanks for chiming in!
>
>  > Isn't NKC/NKD a macOS-only issue in practice?  Anything on the
>  > command line "git" potty and "git-blah" built-in commands receive
>  > goes through precompose_argv_prefix() to be normalized on that
>  > platform.
>
> If we use Jeff's proposed alias.*.{keyname} approach with literal byte
> matching macOS should already handle the normalization at the argv level 
> before Git even sees it, correct? I'm not very familiar with how macOS 
> handles this.

I may have phrased it poorly, but the above (with Peff's syntax
change, which I think is independently a good thing to do) is
exactly what I meant.  That way, we do not have to worry about
normalization ourselves at all in this area.

Thanks.